Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 605304 - graphical rhn_register cannot handle wrong certificate file
graphical rhn_register cannot handle wrong certificate file
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Milan Zázrivec
Red Hat Satellite QA List
:
Depends On:
Blocks: 582655 606290
  Show dependency treegraph
 
Reported: 2010-06-17 11:38 EDT by Petr Sklenar
Modified: 2010-11-23 10:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 606290 (view as bug list)
Environment:
Last Closed: 2010-11-23 10:15:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2010-06-17 11:38:23 EDT
Description of problem:
graphical rhn_register cannot handle wrong certificate file

Version-Release number of selected component (if applicable):
rhn-client-tools-1.0.0-21.el6

How reproducible:
always when connecting to hosted with wrong certificate file

Steps to Reproduce:
1. add to /etc/sysconfig/rhn/update some wrong file with nonsense info like  sslCACert=/root/install.log
2. rhn_register , gui mode
3. try to register
   
Actual results:
error occurs:

There was an error while applying your choice.

This error shouldn't have happened. If you'd like to help us improve this program, please file a bug at
bugzilla.redhat.com. Including the relevant parts of '/var/log/up2date' would be very helpful. Thanks!

Expected results:
it writes some error about wrong certificate

Additional info:


tail /var/log/up2date:

[Thu Jun 17 11:20:43 2010] rhn_register D: server is https://xmlrpc.rhn.webdev.redhat.com/XMLRPC
[Thu Jun 17 11:20:44 2010] rhn_register D: rpcServer: Calling XMLRPC registration.welcome_message
[Thu Jun 17 11:20:46 2010] rhn_register 
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/rhnregGui.py", line 1358, in callAndFilterExceptions
    return function()
  File "/usr/share/rhn/up2date_client/rhnregGui.py", line 308, in _chooseServerPageApply
    rhnreg.getCaps()
  File "/usr/share/rhn/up2date_client/rhnreg.py", line 234, in getCaps
    s.capabilities.validate()
  File "/usr/share/rhn/up2date_client/rhnserver.py", line 156, in __get_capabilities
    self.registration.welcome_message()
  File "/usr/share/rhn/up2date_client/rhnserver.py", line 50, in __call__
    return rpcServer.doCall(method, *args, **kwargs)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 204, in doCall
    ret = method(*args, **kwargs)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 39, in _request1
    ret = self._request(methodname, params)
  File "/usr/lib/python2.6/site-packages/rhn/rpclib.py", line 357, in _request
    self._handler, request, verbose=self._verbose)
  File "/usr/lib/python2.6/site-packages/rhn/transports.py", line 171, in request
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python2.6/site-packages/rhn/transports.py", line 702, in send_http
    self._connection.connect()
  File "/usr/lib/python2.6/site-packages/rhn/connections.py", line 238, in connect
    self.sock.init_ssl()
  File "/usr/lib/python2.6/site-packages/rhn/SSL.py", line 76, in init_ssl
    self._ctx.load_verify_locations(f)
<class 'OpenSSL.SSL.Error'>: []

[Thu Jun 17 11:20:49 2010] rhn_register D: login(forceUpdate=False) invoked
[Thu Jun 17 11:20:49 2010] rhn_register D: readCachedLogin invoked
[Thu Jun 17 11:20:49 2010] rhn_register D: Checking pickled loginInfo, currentTime= 1276788049.78 , createTime= 1276769303.56 , expire-offset= 3600.0
[Thu Jun 17 11:20:49 2010] rhn_register D: Pickled loginInfo has expired, created = 1276769303.56, expire = 1276772903.56.
[Thu Jun 17 11:20:49 2010] rhn_register logging into up2date server
[Thu Jun 17 11:20:49 2010] rhn_register D: rpcServer: Calling XMLRPC up2date.login
Comment 1 RHEL Product and Program Management 2010-06-17 11:53:21 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 7 RHEL Product and Program Management 2010-11-23 10:15:17 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.